Skip to main content
GET
List all Alerts for an Incident

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

the incident identifier Unique identifier for the entity

Example:

"5df33a85-2b9c-40e3-8854-760ee3b8efc7"

Response

successful retrieved incident alerts

id
string<uuid>
required

Unique identifier for the entity

Example:

"5df33a85-2b9c-40e3-8854-760ee3b8efc7"

createdAt
string<date-time>
required
updatedAt
string<date-time>
required
title
string
required

the alert title

state
enum<string>
required

state of the alert during its lifecycle

Available options:
TRIGGED,
RESOLVED
severity
enum<string>
required

alert severity

Available options:
NOT_DEFINED,
CRITICAL,
HIGH,
MEDIUM,
LOW
description
string

the alert description field

query
string

the monitor query

monitor
object

resource monitor

resolvedAt
string<date-time>

timestamp when incident was closed

resolvedBy
object